.slideover {
    @apply z-30;
    @apply fixed top-0 left-0;
    @apply h-full w-full;
    @apply hidden; // Before animation

    &.open {
        @apply block;
    }

    // Overlay

    &>.overlay.editor {
        @apply w-full h-full;
        @apply z-10;
        @apply bg-brand-black;
        @apply opacity-0; // Before animation
    }

    // Menu

    &>.menu {
        @apply block absolute;
        @apply w-3/4 h-full;
        @apply z-20;
        @apply bg-brand-white;
        transform: translateX(-100%); // Before animation

        // Menu height margins

        .--margins:nth-child(1) {
            @apply h-1/4;
        }

        .--margins:last-child {
            @apply h-2/4;
        }

        .menu-list {
            @apply h-1/4;
            // Menu List

            @apply flex justify-center items-center;

            // Menu Items
            &>ul {
                @apply w-full;
                @apply flex flex-col items-center;
            }

            .menu-item {
                @apply w-8/12;
                @apply my-4;

                .title {
                    @apply font-display text-2xl text-brand-black;
                    @apply ml-4;

                    &:hover {
                        @apply text-brand-green;
                    }
                }

                .icon {
                    @apply text-brand-red;

                    &:hover {
                        @apply text-brand-green;
                    }
                }

                .sub-menu {
                    @apply flex flex-col items-start;
                    @apply cursor-pointer;

                    .header-section {
                        @apply flex items-center;
                        @apply w-full;

                        .down-icon {
                            @apply flex-grow flex justify-end;
                            @apply text-brand-red;

                            &:hover {
                                @apply text-brand-green;
                            }
                        }
                    }

                    .dropdown-section {
                        .sub-menu-item {
                            @apply ml-6 my-2;

                            ul {
                                @apply w-full;
                                @apply flex flex-col items-start;
                            }

                            .title {
                                @apply font-display text-lg text-brand-black;
                                @apply ml-4;

                                &:hover {
                                    @apply text-brand-red;
                                }
                            }

                            .icon {
                                @apply text-brand-green;

                                &:hover {
                                    @apply text-brand-red;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@screen md {

    // Menu
    .slideover {
        &>.menu {
            @apply w-1/2;
        }
    }
}

@screen lg {

    // Menu
    .slideover {
        &>.menu {
            @apply w-4/12;
        }
    }
}

@screen xl {

    // Menu
    .slideover {
        &>.menu {
            @apply w-3/12;
        }
    }
}